import paramiko

def handler(context, inputs):

    hostname = inputs["ansible-hostname"]
    username = inputs["ansible-username"]
    password = context.getSecret(inputs["ansible-root-password"])
    targethost = inputs["previousHostName"]
    ansiblecommand = "ansible-playbook " + inputs["playbook-path"] + "/" + inputs["playbook"] + " --limit " + targethost
    print("Targethost " + targethost)
    print("Command to execute: " + ansiblecommand)
    commands = [
    ansiblecommand,
    ]
    
    # initialize the SSH client
    client = paramiko.SSHClient()
    # add to known hosts
    client.set_missing_host_key_policy(paramiko.AutoAddPolicy())
    try:
        client.connect(hostname=hostname, username=username, password=password)
    except:
        print("[!] Cannot connect to the SSH Server")
        exit()

    # execute the commands
    for command in commands:
        print("="*50, command, "="*50)
        stdin, stdout, stderr = client.exec_command(command)
        print(stdout.read().decode())
        err = stderr.read().decode()
        if err:
            print(err)